// gnome.xonotic.in.ua

models/mapobjects/baph/baphomet_gold
{
	{
		map textures/sfx/firewalla.tga
		tcmod scroll 0.1 1
		rgbgen identity
	}
	{
		map models/mapobjects/baph/baphomet_gold.tga
		blendfunc blend
		rgbgen vertex
	}
}

models/mapobjects/flame/flame
{
	surfaceparm alphashadow
	cull disable
	{
		animmap 15 models/mapobjects/flame/flame.jpg models/mapobjects/flame/flame01.jpg models/mapobjects/flame/flame02.jpg models/mapobjects/flame/flame03.jpg models/mapobjects/flame/flame04.jpg models/mapobjects/flame/flame05.jpg
		blendfunc add
		rgbgen identity
	}
}

models/mapobjects/flame/lord
{
	{
		map models/mapobjects/flame/flame.jpg
		tcmod scroll 1 1
		rgbgen identity
	}
	{
		map models/mapobjects/flame/lord.tga
		blendfunc blend
		rgbgen vertex
	}
}

models/mapobjects/globe/gold_globe
{
	{
		map textures/effects/envmapgold.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

models/mapobjects/gratelamp/gratetorch2b
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratetorch2b.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/mrctele/mrctele
{
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_surfacelight 25
	q3map_lightimage models/mapobjects/mrctele/mrctele.blend.tga
	{
		map $lightmap
	}
	{
		map models/mapobjects/mrctele/mrctele.tga
		rgbgen vertex
		blendfunc gl_zero gl_src_color
	}
	{
		map models/mapobjects/mrctele/mrctele.blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.6 .4 0.6 0.2
	}
}

models/mapobjects/mrctele/mrcteleb
{
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map $lightmap
	}
	{
		map models/mapobjects/mrctele/mrcteleb.tga
		rgbgen identity
		blendfunc gl_zero gl_src_color
	}
	{
		map models/mapobjects/mrctele/mrcteleb.blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.6 .4 0.6 0.2
	}
}

models/mapobjects/mrctele/mrcteler
{
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map $lightmap
	}
	{
		map models/mapobjects/mrctele/mrcteler.tga
		rgbgen identity
		blendfunc gl_zero gl_src_color
	}
	{
		map models/mapobjects/mrctele/mrcteler.blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.6 .4 0.6 0.2
	}
}

models/mapobjects/mrctele/mrctfx
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_lightimage models/mapobjects/mrctele/mrctfx.tga
	q3map_surfacelight 250
	cull disable
	{
		map models/mapobjects/mrctele/mrctfx.tga
		blendfunc gl_one gl_one
		tcmod scale 4. 2.
		tcmod scroll 1.15 .25
	}
	{
		map models/mapobjects/mrctele/mrctfx2.tga
		blendfunc gl_one gl_one
		tcmod scale 4. 2.
		tcmod scroll .75 -.15
	}
}

models/mapobjects/mrctele/mrctfxb
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_lightimage models/mapobjects/mrctele/mrctfxb.tga
	q3map_surfacelight 200
	cull disable
	{
		map models/mapobjects/mrctele/mrctfxb.tga
		blendfunc gl_one gl_one
		tcmod scale 4. 2.
		tcmod scroll 1.15 .25
	}
	{
		map models/mapobjects/mrctele/mrctfxb2.tga
		blendfunc gl_one gl_one
		tcmod scale 4. 2.
		tcmod scroll .75 -.15
	}
}

models/mapobjects/mrctele/mrctfxr
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_lightimage models/mapobjects/mrctele/mrctfxr.tga
	q3map_surfacelight 200
	cull disable
	{
		map models/mapobjects/mrctele/mrctfxr.tga
		blendfunc gl_one gl_one
		tcmod scale 4. 2.
		tcmod scroll 1.15 .25
	}
	{
		map models/mapobjects/mrctele/mrctfxr2.tga
		blendfunc gl_one gl_one
		tcmod scale 4. 2.
		tcmod scroll .75 -.15
	}
}

models/mapobjects/multiplant/batleaf2
{
	surfaceparm alphashadow
	cull none
	deformvertexes wave 100 sin 3 5 .1 0.1
	{
		map models/mapobjects/multiplant/batleaf2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map models/mapobjects/multiplant/batleaf2veins.tga
		blendfunc blend
		rgbgen wave sin 0 1 0 .33
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/fern
{
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models/mapobjects/multiplant/fern.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/invisible
{
	surfaceparm alphashadow
	surfaceparm nolightmap
	{
		map models/mapobjects/multiplant/invisible.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/timlamp/timlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/timlamp/timlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/base_floor/proto_grate3
{
	surfaceparm metalsteps
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/base_floor/proto_grate3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/proto_rustygrate2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/proto_rustygrate2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_wall/protobanner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	deformvertexes wave 30 sin 0 3 0 .2
	deformvertexes wave 100 sin 0 3 0 .7
	{
		map textures/base_wall/protobanner.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/blr-dm6/blr-dm6_skybox
{
	qer_editorimage textures/skies/pjbasesky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 50
	surfaceparm sky
	q3map_sun 0.6 0.6 0.6 100 120 60
	skyparms env/blr-dm6/mercury512 - -
}

textures/blr-dm6/myglass
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull none
	qer_trans 0.85
	{
		map textures/effects/invismap.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/mirror1
{
	qer_editorimage textures/common/mirror1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ctf/ctf_blueflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_blueflag.tga
		rgbgen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_blueflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ctf/ctf_redflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/ctf/ctf_redflag.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ctf/killblockctf_b
{
	qer_editorimage textures/gothic_block/killblockgeomtrn.tga
	{
		map textures/sfx/fire_ctfblue.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/gothic_block/killblockgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ctf/killblockctf_r
{
	qer_editorimage textures/gothic_block/blocks15cgeomtrn.tga
	{
		map textures/sfx/fire_ctfred.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks15cgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_floor/xq1metalbig_ow
{
	{
		map textures/gothic_floor/xq1metalbig_ow.tga
		rgbgen identity
	}
	{
		map textures/sfx/specular.tga
		tcgen environment
		tcmod scale 3 3
		tcmod turb 0 .25 0 .05
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/gothic_floor/xq1metalbig_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_light/pentagram_light1_10k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .8 .2 0 1
	}
}

textures/kilt_texpack02/t8_gbpad_pent
{
	q3map_lightimage textures/kilt_texpack02/t8_gbpad_fx.tga
	q3map_surfacelight 500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/kilt_texpack02/t8_gbpad_pent.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/kilt_texpack02/t8_gbpad_fx.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 0.5
	}
}

textures/liquids/clear_ripple1
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/liquids/flatlavahell_1500
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1500
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/sfx/flame1side
{
	qer_editorimage textures/sfx/flame1side.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame2.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/hellfog
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 300
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/sfx/launchpad_blocks18d
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/launchpad_blocks18d.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/launchpad_dot.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/skin/surface8_trans
{
	qer_editorimage textures/skin/surface8.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/skin/surface8.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/willow/fish1
{
	qer_editorimage textures/willow/sakana1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformvertexes wave 32 sin 0 2 5 0.1
	{
		map textures/willow/sakana1.tga
		rgbgen identity
		tcmod scroll -0.2 0
		tcmod turb 0 0.05 0.5 0.06
		tcmod turb 0 0.2 0 0.05
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
}

textures/willow/fish2
{
	qer_editorimage textures/willow/sakana2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformvertexes wave 32 sin 0 2 5 0.1
	{
		map textures/willow/sakana2.tga
		tcmod scroll -0.05 0
		tcmod turb 0 0.05 0.5 0.06
		tcmod turb 0 0.2 0 0.05
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/willow/fish3
{
	qer_editorimage textures/willow/sakana3.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformvertexes wave 32 sin 0 2 5 0.1
	{
		map textures/willow/sakana3.tga
		tcmod scroll 0.1 0
		tcmod turb 0 0.05 0.5 0.06
		tcmod turb 0 0.1 0 0.05
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

